Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77902 - Sendmail's init script doesn't use the DAEMON var, set by /etc/sysconfig/sendmail
Summary: Sendmail's init script doesn't use the DAEMON var, set by /etc/sysconfig/send...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-15 00:26 UTC by Jesse Keating
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-15 17:00:19 UTC


Attachments (Terms of Use)
Patch file for /etc/init.d/sendmail to use $DAEMON correctly (deleted)
2002-11-15 00:28 UTC, Jesse Keating
no flags Details | Diff

Description Jesse Keating 2002-11-15 00:26:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2b)
Gecko/20021029 Phoenix/0.4

Description of problem:
/etc/sysconfig/sendmail sets a DAEMON var, to tell sendmail to start with -bd or
not.  /etc/init.d/sendmail doesn't use this var, so no matter what is set,
sendmail uses -bd anyway.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RHL
2. View /etc/init.d/sendmail
	

Actual Results:  DAEMON is not used.

Expected Results:  DAEMON value should be checked, and sendmail will be started
using the right options.

Additional info:

Comment 1 Jesse Keating 2002-11-15 00:28:18 UTC
Created attachment 85148 [details]
Patch file for /etc/init.d/sendmail to use $DAEMON correctly

Comment 2 Stephen Walton 2002-11-15 17:00:12 UTC
It would be sufficient for the daemon line to be changed to the one from RedHat
7.3, viz:

       daemon /usr/sbin/sendmail $([ "$DAEMON" = yes ] && echo -bd) \
                                  $([ -n "$QUEUE" ] && echo -q$QUEUE)


Comment 3 Florian La Roche 2002-11-19 07:40:29 UTC
http://people.redhat.com/laroche/sendmail-8.12.6-3 has this fixed. Can you
please test if this works for you, otherwise open up a new bug-report?

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.